# Sed script to add DJGPP specific issues to config.h.

$ a\
\
\
/* DGJPP-specific definitions */\
\
#ifdef __DJGPP__\
/*\
 *  Provide version.h.\
 */\
# include <sys/version.h>  /*  gcc no longer includes this by default.  */\
\
# ifdef _GL_ARG_NONNULL\
#  undef _GL_ARG_NONNULL\
# endif\
\
#ifndef SA_RESTART\
# define SA_RESTART 0\
#endif\
\
# if __DJGPP__ == 2 && __DJGPP_MINOR__ < 4\
/*  DJGPP 2.03  */\
#  if (defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L) || !defined(__STRICT_ANSI__)\
#   ifndef EILSEQ\
#    define EILSEQ     41  /*  To match the value used in djdev204  */\
#   endif\
#   ifndef ELOOP\
#    define ELOOP      39  /*  To match the value used in djdev204  */\
#   endif\
#  endif /* (__STDC_VERSION__ >= 199901L) || !__STRICT_ANSI__ */\
# endif\
\
/*\
 *  Make sure to disable assert()ions.\
 *  This is especially tedious if compiled with DJGPP 2.04\
 *  where symlinks are supported.  No longer abort with SIGABRT\
 *  if the symlink is brocken, simple print a diagnostic message\
 *  and continue normal operation.  This is not an issue with\
 *  DJGPP 2.03 because there is no real symlink support.\
 */\
# define NDEBUG\
#endif
